"Rehearsal" of Production Jackrabbit Migration from Derby to PostgreSQL

May 12, 2017 05:50 PM - Massimiliano Assante

Status: Closed Start date: May 18, 2017

Priority: Immediate Due date: May 18, 2017

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Production Jackrabbit Migration from

Derby to PostgreSQL

  

Infrastructure: Production   

Description

Subtasks:

Task # 8692: Provide root access to workspace-repository-prod and workspace-repository-... Closed

VM Creation # 9003: Provisioning for workspace-repository-prod1.d4science.org and works... Closed

  Task # 9010: ansible role that installs the home library webapp Closed

History

#1 - May 12, 2017 05:55 PM - Massimiliano Assante

This ticket track the "Rehearsal" of Production Jackrabbit Migration from Derby to PostgreSQL related to the steps listed in #8562

#2 - May 15, 2017 11:06 AM - Massimiliano Assante

- Status changed from New to In Progress

#3 - May 17, 2017 04:06 PM - Massimiliano Assante

- % Done changed from 0 to 50

The production copy of yesterday did not work out as only the folder containing the DERBY DB was copied. Today @tommaso.piccioli@isti.cnr.it

copied the whole /home/gcube folder of production and the migration process started without exceptions at 17.13 CEST. It should last about 7 hours.

#4 - May 18, 2017 06:15 PM - Massimiliano Assante

the migration process is now working with no exception but we have some issues in starting up the repo after the migration is completed...

#5 - May 22, 2017 11:09 AM - Massimiliano Assante

the issues in starting up the repo after the migration is completed have been fixed by running a consistency check 

#6 - Jun 22, 2017 06:23 PM - Costantino Perciante

Just to be sure that everything is provisioned, both machines workspace-repository-prod1.d4science.org and

workspace-repository-prod.d4science.org are going to be recreated with ansible from scratch. Look at the sub-ticket with the details of the

configurations. @tommaso.piccioli@isti.cnr.it already created a snapshot this morning which will be used for the latest (we hope) test, before the real

migration scheduled for next week.

#7 - Jun 23, 2017 12:46 PM - Andrea Dell'Amico

- Due date changed from May 18, 2017 to Jun 23, 2017

due to changes in a related task

#8 - Jun 23, 2017 03:56 PM - Costantino Perciante

migration test has restarted at 15:50 23/06/17

#9 - Jun 24, 2017 08:38 AM - Costantino Perciante

migration ended at 22:39 23/06/17

consistency check/fix start running at 8:37 24/06/17
#10 - Jun 25, 2017 09:23 AM - Costantino Perciante

jackrabbit restarted at 15:50 (24/06/17) after consistency check and fix (it seems ok)

#11 - Jun 26, 2017 10:21 AM - Massimiliano Assante

the overall time to complete the procedure is much higher than before, about 7 h for the migration and about 6h for the consistency check? I'm

guessing the DB isn't local right? @costantino.perciante@isti.cnr.it 

#12 - Jun 26, 2017 10:28 AM - Costantino Perciante

it has been still used a local db. Perhaps both VMs have less RAM/CPU than before @andrea.dellamico@isti.cnr.it ? 

#13 - Jun 26, 2017 11:02 AM - Andrea Dell'Amico

Costantino Perciante wrote:

it has been still used a local db. Perhaps both VMs have less RAM/CPU than before @andrea.dellamico@isti.cnr.it ?

 Nope. The VM is the same, I only (re)installed smartgears and the home library webapp.

#14 - Jun 26, 2017 11:10 AM - Andrea Dell'Amico

Massimiliano Assante wrote:

the overall time to complete the procedure is much higher than before, about 7 h for the migration and about 6h for the consistency check? I'm

guessing the DB isn't local right?

 The DB was local. It will moved to the remote server after the real migration.

I still don't know why a remote DB should be slower than a local one, btw.

#15 - Jun 27, 2017 06:23 PM - Massimiliano Assante

- Status changed from In Progress to Closed

"Rehearsal" of Production Jackrabbit Migration from Derby to PostgreSQL went fine

#16 - Jun 27, 2017 06:27 PM - Massimiliano Assante

- Parent task deleted (#8562)
